### Virtual Method

# Clutter Actor paint_node

#### Declaration [src]

    void
    paint_node (
      ClutterActor* self,
      ClutterPaintNode* root,
      ClutterPaintContext* paint_context
    )

#### Description [src]

Virtual function for creating paint nodes and attaching them to the render tree.

#### Parameters

`root`

  Type: `ClutterPaintNode`

  No description available.

  The data is owned by the caller of the method.

`paint_context`

  Type: `ClutterPaintContext`

  No description available.

  The data is owned by the caller of the method.